using System;

internal sealed class Delegate852 : MulticastDelegate
{
	public extern IntPtr Invoke(ref RuntimeMethodHandle runtimeMethodHandle_0);

	public static IntPtr smethod_0(ref RuntimeMethodHandle runtimeMethodHandle_0, Delegate852 delegate852_1)
	{
		return delegate852_1(ref runtimeMethodHandle_0);
	}

	public extern Delegate852(object object_0, IntPtr intptr_0);

	static Delegate852()
	{
		Class10.smethod_13(typeof(Delegate852).TypeHandle);
	}

	internal static Delegate852 delegate852_0;
}
